import {
    getRankingData
} from '~/api/global'
Page({
    /**
     * 页面的初始数据
     */
    data: {
        userInfo: {},
        ranking: '',
        userList: [],
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        wx.setNavigationBarColor({
            frontColor: '#ffffff',
            backgroundColor: '#2DCE66'
        })
        this.setData({
            userInfo: getApp().globalData.userInfo
        })
        console.log(getApp().globalData.userInfo);
        this.getRankingData(2)
    },
    async getRankingData(id) {
        let {
            ranking,
            userList,
            title,
        } = await getRankingData(id)
        wx.setNavigationBarTitle({
            title
        })
        this.setData({
            ranking,
            userList,
        })
    },
    jumpIndex() {
        wx.switchTab({
            url: '/pages/index/index',
        })
    },
    jumpUserInfo({
        currentTarget
    }) {
        if (!currentTarget.dataset.uid) {
            return
        }
        /*  wx.navigateTo({
             url: `/pages/personal/index?uid=${currentTarget.dataset.uid}&type=${this.data.rankingType==4?'pk':'user'}`,
         }) */
    },
    onShareAppMessage() {
        return {
            title: '这个小程序太赞了！孩子朗读能力蹭蹭上涨，推荐你试试！',
            path: `/pages/index/index?uid=${wx.getStorageSync('uid')}`,
            imageUrl: 'http://reader-wx.ai160.com/images/reader/v3/375-300-2.jpg'
        }
    }
})